## AgsSoundcardThread

AgsSoundcardThread — soundcard thread

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSoundcardThread * | ags_soundcard_thread_find_soundcard ()
AgsSoundcardThread * | ags_soundcard_thread_new ()

## Properties

GObject * | soundcard | Read / Write
guint | soundcard-capability | Read / Write

## Types and Values

#define | AGS_SOUNDCARD_THREAD_DEFAULT_JIFFIE

## Object Hierarchy

        GObject
        ╰── AgsThread
            ╰── AgsSoundcardThread

## Includes

    #include <ags/audio/thread/ags_soundcard_thread.h>

## Description

The AgsSoundcardThread acts as audio output thread to soundcard.

## Functions

### ags_soundcard_thread_find_soundcard ()

    AgsSoundcardThread *
    ags_soundcard_thread_find_soundcard (AgsSoundcardThread *soundcard_thread,
                                         GObject *soundcard);

Find `soundcard` as sibling of `soundcard_thread` , if it was found on the returned thread should be called `g_object_unref()`.

#### Parameters

soundcard_thread | the AgsSoundcardThread |
soundcard | the AgsSoundcard to find |

#### Returns

the matching AgsSoundcardThread, if not found `NULL`.

[transfer full]

Since: 3.0.0

### ags_soundcard_thread_new ()

    AgsSoundcardThread *
    ags_soundcard_thread_new (GObject *soundcard,
                              guint soundcard_capability);

Create a new instance of AgsSoundcardThread.

#### Parameters

soundcard | the AgsSoundcard |
soundcard_capability | see AgsSoundcardCapability |

#### Returns

the new AgsSoundcardThread

Since: 3.0.0

## Types and Values

### AGS_SOUNDCARD_THREAD_DEFAULT_JIFFIE

    #define AGS_SOUNDCARD_THREAD_DEFAULT_JIFFIE (ceil(AGS_SOUNDCARD_DEFAULT_SAMPLERATE / AGS_SOUNDCARD_DEFAULT_BUFFER_SIZE) + AGS_SOUNDCARD_DEFAULT_OVERCLOCK)

## Property Details

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard.

Owner: AgsSoundcardThread

Flags: Read / Write

Since: 3.0.0

### The `“soundcard-capability”` property

      “soundcard-capability”     guint

The soundcard capability.

Owner: AgsSoundcardThread

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 3.0.0